#!/bin/bash

VIVADO_WRAP=xilinx_2021.2
PROJECT_NAME=EFM03_exdes

VIVADO_PROJECT="${PROJECT_NAME}/${PROJECT_NAME}.xpr"

prepare_project() {
	# creates $VIVADO_PROJECT from the checked-in tcl script
	$VIVADO_WRAP vivado -mode batch -source create_project.tcl
}

build_all() {
	$VIVADO_WRAP vivado -mode batch -source build.tcl "$VIVADO_PROJECT"
}

open_gui() {
	$VIVADO_WRAP vivado "$VIVADO_PROJECT"
}

cmd="$1"

case "$cmd" in
	build_firmware)
		cd firmware
		make
		;;

	prepare)
		prepare_project
		;;

	build)
		build_all
		;;

	gui)
		open_gui
		;;

	doc)
		doxygen Doxyfile
		;;

	*)
		echo "Unknown command."
		;;
esac
